# class IAXTrunkInfo | Trunk info. More...
Full name | `TelEngine::IAXTrunkInfo`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline IAXTrunkInfo ()
- void init (const NamedList& params, const String& prefix = String::empty(), const IAXTrunkInfo* def = 0)
- void initTrunking (const NamedList& params, const String& prefix = String::empty(), const IAXTrunkInfo* def = 0, bool out = true, bool in = true)
- void updateTrunking (const NamedList& params, const String& prefix = String::empty(), bool out = true, bool in = true)
- void dump (String& buf, const char* sep = " ", bool out = true, bool in = true, bool other = true)

#### Public Members

- bool m_timestamps
- unsigned int m_sendInterval
- unsigned int m_maxLen
- bool m_efficientUse
- bool m_trunkInSyncUsingTs
- u_int32_t m_trunkInTsDiffRestart
- unsigned int m_retransCount
- unsigned int m_retransInterval
- unsigned int m_pingInterval

## Detailed Description

This class holds trunk description

inline IAXTrunkInfo () | ### IAXTrunkInfo

Constructor

void init (const NamedList& params, const String& prefix = String::empty(), const IAXTrunkInfo* def = 0) | ### init

Init non trunking related data

Parameters:

params | Parameter list
prefix | Parameter prefix
def | Optional defaults

void initTrunking (const NamedList& params, const String& prefix = String::empty(), const IAXTrunkInfo* def = 0, bool out = true, bool in = true) | ### initTrunking

Init trunking from parameters

Parameters:

params | Parameter list
prefix | Parameter prefix
def | Optional defaults
out | True to init outgoing trunk data
in | True to init incoming trunk data

void updateTrunking (const NamedList& params, const String& prefix = String::empty(), bool out = true, bool in = true) | ### updateTrunking

Update trunking from parameters. Don't change values not present in list

Parameters:

params | Parameter list
prefix | Parameter prefix
out | True to update outgoing trunk data
in | True to update incoming trunk data

void dump (String& buf, const char* sep = " ", bool out = true, bool in = true, bool other = true) | ### dump

Dump info

Parameters:

buf | Destination buffer
sep | Parameters separator
out | True to dump outgoing trunking info
in | True to dump incoming trunking info
other | True to dump non trunking info

bool m_timestamps | ### m_timestamps

unsigned int m_sendInterval | ### m_sendInterval

unsigned int m_maxLen | ### m_maxLen

bool m_efficientUse | ### m_efficientUse

bool m_trunkInSyncUsingTs | ### m_trunkInSyncUsingTs

u_int32_t m_trunkInTsDiffRestart | ### m_trunkInTsDiffRestart

unsigned int m_retransCount | ### m_retransCount

unsigned int m_retransInterval | ### m_retransInterval

unsigned int m_pingInterval | ### m_pingInterval

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.